<script>
    import SvelteTable from "svelte-table";

    import {table_name, table_columns, table_rows, selected_cell} from "./scripts/stores"

    function changeSelectedCell(event){
        var temp_selected_cell = {}
        temp_selected_cell.row = event.detail.row.rowid
        temp_selected_cell.column = event.detail.key
        selected_cell.set(temp_selected_cell)
        console.log("Cell clicked: row ", $selected_cell.row, ", column ", $selected_cell.column);
    }
</script>


{#if $table_name != ''}
    <SvelteTable columns={$table_columns} rows={$table_rows} classNameTable={['data-table']} on:clickCell={changeSelectedCell}/>
{/if}
